Lage samba file transfers block btrfs to hung task

Bug #1614887 reported by S. W. on 2016-08-19
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

this bug occurs when user transfer big files ~1gb to the samba server on xenial/wily

on wily this problem was NOT showing with samba 4.2 (i guess) until samba was also upgraded to 4.3.

the samba runs on a KVM VM

samba version: 4.3.9+dfsg-0ubuntu0.16.04.

[ 30.171211] zram: Added device: zram0
[ 30.356301] zram0: detected capacity change from 0 to 1518252032
[ 30.668855] Adding 1482664k swap on /dev/zram0. Priority:5 extents:1 across:1482664k SSFS
[ 35.608271] [drm:qxl_enc_commit [qxl]] *ERROR* head number too large or missing monitors config: ffffc90000e30000, 0
[ 45.008364] Non-volatile memory driver v1.3
[65636.820111] INFO: task btrfs-cleaner:631 blocked for more than 120 seconds.
[65636.820128] Not tainted 4.4.0-36-generic #55-Ubuntu
[65636.820129] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[65636.820131] btrfs-cleaner D ffff88005ae93ce8 0 631 2 0x00000000
[65636.820137] ffff88005ae93ce8 ffff8800bbb86400 ffff8801b0dc3e80 ffff8801b0dc2580
[65636.820139] ffff88005ae94000 ffff8801851971f0 ffff880185197000 ffff8801851971f0
[65636.820141] 0000000000000001 ffff88005ae93d00 ffffffff81829ec5 ffff8801b7fc4000
[65636.820143] Call Trace:
[65636.820182] [<ffffffff81829ec5>] schedule+0x35/0x80
[65636.820360] [<ffffffffc0170fd3>] wait_current_trans.isra.21+0xd3/0x120 [btrfs]
[65636.820395] [<ffffffff810c3cb0>] ? wake_atomic_t_function+0x60/0x60
[65636.820409] [<ffffffffc01728f5>] start_transaction+0x2c5/0x4b0 [btrfs]
[65636.820434] [<ffffffffc0172af8>] btrfs_start_transaction+0x18/0x20 [btrfs]
[65636.820452] [<ffffffffc015adcf>] btrfs_drop_snapshot+0x7f/0x830 [btrfs]
[65636.820454] [<ffffffff81829816>] ? __schedule+0x3b6/0xa30
[65636.820467] [<ffffffffc0171b02>] btrfs_clean_one_deleted_snapshot+0xb2/0x100 [btrfs]
[65636.820480] [<ffffffffc016a3cf>] cleaner_kthread+0xcf/0x220 [btrfs]
[65636.820493] [<ffffffffc016a300>] ? check_leaf+0x360/0x360 [btrfs]
[65636.820497] [<ffffffff810a0808>] kthread+0xd8/0xf0
[65636.820499] [<ffffffff810a0730>] ? kthread_create_on_node+0x1e0/0x1e0
[65636.820505] [<ffffffff8182e34f>] ret_from_fork+0x3f/0x70
[65636.820507] [<ffffffff810a0730>] ? kthread_create_on_node+0x1e0/0x1e0
[65636.820550] INFO: task kworker/u4:1:7760 blocked for more than 120 seconds.
[65636.820551] Not tainted 4.4.0-36-generic #55-Ubuntu
[65636.820558] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[65636.820559] kworker/u4:1 D ffff880008433c48 0 7760 2 0x00000000
[65636.820579] Workqueue: btrfs-endio-write btrfs_endio_write_helper [btrfs]
[65636.820581] ffff880008433c48 0000000000000040 ffff8800b9d98c80 ffff8801b51a9900
[65636.820582] ffff880008434000 ffff8801851941f0 ffff880185194000 ffff8801851941f0
[65636.820584] 0000000000000001 ffff880008433c60 ffffffff81829ec5 ffff8801b7fc4000
[65636.820586] Call Trace:
[65636.820588] [<ffffffff81829ec5>] schedule+0x35/0x80
[65636.820602] [<ffffffffc0170fd3>] wait_current_trans.isra.21+0xd3/0x120 [btrfs]
[65636.820604] [<ffffffff810c3cb0>] ? wake_atomic_t_function+0x60/0x60
[65636.820620] [<ffffffffc01728a5>] start_transaction+0x275/0x4b0 [btrfs]
[65636.820650] [<ffffffffc0172b37>] btrfs_join_transaction+0x17/0x20 [btrfs]
[65636.820667] [<ffffffffc017b2a5>] btrfs_finish_ordered_io+0x435/0x650 [btrfs]
[65636.820692] [<ffffffffc017b785>] finish_ordered_fn+0x15/0x20 [btrfs]
[65636.820718] [<ffffffffc01a3eba>] btrfs_scrubparity_helper+0xca/0x2f0 [btrfs]
[65636.820723] [<ffffffff810abcc7>] ? try_to_wake_up+0x47/0x3b0
[65636.820741] [<ffffffffc01a416e>] btrfs_endio_write_helper+0xe/0x10 [btrfs]
[65636.820753] [<ffffffff8109a2c5>] process_one_work+0x165/0x480
[65636.820755] [<ffffffff8109a62b>] worker_thread+0x4b/0x4c0
[65636.820757] [<ffffffff8109a5e0>] ? process_one_work+0x480/0x480
[65636.820758] [<ffffffff810a0808>] kthread+0xd8/0xf0
[65636.820760] [<ffffffff810a0730>] ? kthread_create_on_node+0x1e0/0x1e0
[65636.820761] [<ffffffff8182e34f>] ret_from_fork+0x3f/0x70
[65636.820763] [<ffffffff810a0730>] ? kthread_create_on_node+0x1e0/0x1e0
[65636.820770] INFO: task kworker/u4:2:7814 blocked for more than 120 seconds.
[65636.820771] Not tainted 4.4.0-36-generic #55-Ubuntu
[65636.820772] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[65636.820773] kworker/u4:2 D ffff880102027c48 0 7814 2 0x00000000
[65636.820848] Workqueue: btrfs-endio-write btrfs_endio_write_helper [btrfs]
[65636.820850] ffff880102027c48 0000000000000040 ffff8801b51ae400 ffff8801b51a8c80
[65636.820852] ffff880102028000 ffff8801851941f0 ffff880185194000 ffff8801851941f0
[65636.820853] 0000000000000001 ffff880102027c60 ffffffff81829ec5 ffff8801b7fc4000
[65636.820855] Call Trace:
[65636.820857] [<ffffffff81829ec5>] schedule+0x35/0x80
[65636.820877] [<ffffffffc0170fd3>] wait_current_trans.isra.21+0xd3/0x120 [btrfs]
[65636.820879] [<ffffffff810c3cb0>] ? wake_atomic_t_function+0x60/0x60
[65636.820893] [<ffffffffc01728a5>] start_transaction+0x275/0x4b0 [btrfs]
[65636.820908] [<ffffffffc0172b37>] btrfs_join_transaction+0x17/0x20 [btrfs]
[65636.820922] [<ffffffffc017b2a5>] btrfs_finish_ordered_io+0x435/0x650 [btrfs]
[65636.820934] [<ffffffff813b9ade>] ? bio_free+0x4e/0x60
[65636.820936] [<ffffffff813b9b13>] ? bio_put+0x23/0x30
[65636.820950] [<ffffffffc017b785>] finish_ordered_fn+0x15/0x20 [btrfs]
[65636.820964] [<ffffffffc01a3eba>] btrfs_scrubparity_helper+0xca/0x2f0 [btrfs]
[65636.820966] [<ffffffff810abcc7>] ? try_to_wake_up+0x47/0x3b0
[65636.820999] [<ffffffffc01a416e>] btrfs_endio_write_helper+0xe/0x10 [btrfs]
[65636.821002] [<ffffffff8109a2c5>] process_one_work+0x165/0x480
[65636.821003] [<ffffffff8109a62b>] worker_thread+0x4b/0x4c0
[65636.821005] [<ffffffff8109a5e0>] ? process_one_work+0x480/0x480
[65636.821007] [<ffffffff8109a5e0>] ? process_one_work+0x480/0x480
[65636.821008] [<ffffffff810a0808>] kthread+0xd8/0xf0
[65636.821010] [<ffffffff810a0730>] ? kthread_create_on_node+0x1e0/0x1e0
[65636.821012] [<ffffffff8182e34f>] ret_from_fork+0x3f/0x70
[65636.821013] [<ffffffff810a0730>] ? kthread_create_on_node+0x1e0/0x1e0
[65636.821016] INFO: task kworker/u4:3:7843 blocked for more than 120 seconds.
[65636.821017] Not tainted 4.4.0-36-generic #55-Ubuntu
[65636.821018] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[65636.821019] kworker/u4:3 D ffff8800082abc48 0 7843 2 0x00000000
[65636.821047] Workqueue: btrfs-endio-write btrfs_endio_write_helper [btrfs]
[65636.821048] ffff8800082abc48 0000000000000040 ffff8801b51ae400 ffff8801b6a06400
[65636.821050] ffff8800082ac000 ffff8801851941f0 ffff880185194000 ffff8801851941f0
[65636.821051] 0000000000000001 ffff8800082abc60 ffffffff81829ec5 ffff8801b7fc4000
[65636.821053] Call Trace:
[65636.821055] [<ffffffff81829ec5>] schedule+0x35/0x80
[65636.821069] [<ffffffffc0170fd3>] wait_current_trans.isra.21+0xd3/0x120 [btrfs]
[65636.821071] [<ffffffff810c3cb0>] ? wake_atomic_t_function+0x60/0x60
[65636.821084] [<ffffffffc01728a5>] start_transaction+0x275/0x4b0 [btrfs]
[65636.821104] [<ffffffffc0172b37>] btrfs_join_transaction+0x17/0x20 [btrfs]
[65636.821118] [<ffffffffc017b2a5>] btrfs_finish_ordered_io+0x435/0x650 [btrfs]
[65636.821131] [<ffffffffc017b785>] finish_ordered_fn+0x15/0x20 [btrfs]
[65636.821145] [<ffffffffc01a3eba>] btrfs_scrubparity_helper+0xca/0x2f0 [btrfs]
[65636.821147] [<ffffffff810abcc7>] ? try_to_wake_up+0x47/0x3b0
[65636.821161] [<ffffffffc01a416e>] btrfs_endio_write_helper+0xe/0x10 [btrfs]
[65636.821163] [<ffffffff8109a2c5>] process_one_work+0x165/0x480
[65636.821165] [<ffffffff8109a62b>] worker_thread+0x4b/0x4c0
[65636.821167] [<ffffffff8109a5e0>] ? process_one_work+0x480/0x480
[65636.821168] [<ffffffff8109a5e0>] ? process_one_work+0x480/0x480
[65636.821170] [<ffffffff810a0808>] kthread+0xd8/0xf0
[65636.821171] [<ffffffff810a0730>] ? kthread_create_on_node+0x1e0/0x1e0
[65636.821173] [<ffffffff8182e34f>] ret_from_fork+0x3f/0x70
[65636.821175] [<ffffffff810a0730>] ? kthread_create_on_node+0x1e0/0x1e0
[65636.821176] INFO: task cupsd:7983 blocked for more than 120 seconds.
[65636.821178] Not tainted 4.4.0-36-generic #55-Ubuntu
[65636.821179] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[65636.821179] cupsd D ffff880005d67d48 0 7983 1 0x00000000
[65636.821195] ffff880005d67d48 0001880000000001 ffff8801b0dc2580 ffff8800bbb86400
[65636.821197] ffff880005d68000 ffff8801851941f0 ffff880185194000 ffff8801851941f0
[65636.821198] 0000000000000001 ffff880005d67d60 ffffffff81829ec5 ffff8801b7fc4000
[65636.821200] Call Trace:
[65636.821202] [<ffffffff81829ec5>] schedule+0x35/0x80
[65636.821221] [<ffffffffc0170fd3>] wait_current_trans.isra.21+0xd3/0x120 [btrfs]
[65636.821223] [<ffffffff810c3cb0>] ? wake_atomic_t_function+0x60/0x60
[65636.821236] [<ffffffffc01728f5>] start_transaction+0x2c5/0x4b0 [btrfs]
[65636.821250] [<ffffffffc0172f78>] btrfs_start_transaction_fallback_global_rsv+0x28/0xc0 [btrfs]
[65636.821263] [<ffffffffc017bf45>] btrfs_unlink+0x35/0xb0 [btrfs]
[65636.821280] [<ffffffff8121a151>] vfs_unlink+0xf1/0x1a0
[65636.821288] [<ffffffff8138d1eb>] ? apparmor_path_unlink+0x1b/0x20
[65636.821291] [<ffffffff8121d749>] do_unlinkat+0x279/0x2d0
[65636.821293] [<ffffffff8121e206>] SyS_unlink+0x16/0x20
[65636.821295] [<ffffffff8182dfb2>] entry_SYSCALL_64_fastpath+0x16/0x71
[65636.821298] INFO: task kworker/u4:6:8029 blocked for more than 120 seconds.
[65636.821299] Not tainted 4.4.0-36-generic #55-Ubuntu
[65636.821300] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[65636.821301] kworker/u4:6 D ffff8800053bfcc8 0 8029 2 0x00000000
[65636.821323] Workqueue: btrfs-extent-refs btrfs_extent_refs_helper [btrfs]
[65636.821324] ffff8800053bfcc8 ffffffff811908e9 ffff8800bbb86400 ffff8801b51ad780
[65636.821326] ffff8800053c0000 ffff8801851971f0 ffff880185197000 ffff8801851971f0
[65636.821328] 0000000000000001 ffff8800053bfce0 ffffffff81829ec5 ffff8801b7fc4000
[65636.821329] Call Trace:
[65636.821345] [<ffffffff811908e9>] ? mempool_free+0x29/0x80
[65636.821348] [<ffffffff81829ec5>] schedule+0x35/0x80
[65636.821366] [<ffffffffc0170fd3>] wait_current_trans.isra.21+0xd3/0x120 [btrfs]
[65636.821368] [<ffffffff810c3cb0>] ? wake_atomic_t_function+0x60/0x60
[65636.821381] [<ffffffffc01728a5>] start_transaction+0x275/0x4b0 [btrfs]
[65636.821406] [<ffffffffc0172b37>] btrfs_join_transaction+0x17/0x20 [btrfs]
[65636.821418] [<ffffffffc015cc58>] delayed_ref_async_start+0x18/0x90 [btrfs]
[65636.821432] [<ffffffffc01a3eba>] btrfs_scrubparity_helper+0xca/0x2f0 [btrfs]
[65636.821446] [<ffffffffc01a411e>] btrfs_extent_refs_helper+0xe/0x10 [btrfs]
[65636.821454] [<ffffffff8109a2c5>] process_one_work+0x165/0x480
[65636.821456] [<ffffffff8109a62b>] worker_thread+0x4b/0x4c0
[65636.821457] [<ffffffff8109a5e0>] ? process_one_work+0x480/0x480
[65636.821459] [<ffffffff8109a5e0>] ? process_one_work+0x480/0x480
[65636.821460] [<ffffffff810a0808>] kthread+0xd8/0xf0
[65636.821462] [<ffffffff810a0730>] ? kthread_create_on_node+0x1e0/0x1e0
[65636.821464] [<ffffffff8182e34f>] ret_from_fork+0x3f/0x70
[65636.821465] [<ffffffff810a0730>] ? kthread_create_on_node+0x1e0/0x1e0
[78275.687923] cfg80211: World regulatory domain updated:
[78275.687930] cfg80211: DFS Master region: unset

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: linux-image-generic-lts-xenial (not installed)
ProcVersionSignature: Ubuntu 4.4.0-36.55-generic 4.4.16
Uname: Linux 4.4.0-36-generic x86_64
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: wvk 8774 F.... pulseaudio
CurrentDesktop: MATE
Date: Fri Aug 19 11:16:39 2016
HibernationDevice: RESUME=UUID=a3e458ea-200f-4779-a1e5-874bbca3fd2f
InstallationDate: Installed on 2015-08-24 (360 days ago)
InstallationMedia: Ubuntu-Server 15.04 "Vivid Vervet" - Release amd64 (20150422)
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
MachineType: QEMU Standard PC (i440FX + PIIX, 1996)
ProcFB: 0 qxldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-4.4.0-36-generic root=UUID=f7f34b00-862b-45a7-9cdb-ee1546aac7db ro rootflags=subvol=@
RelatedPackageVersions:
 linux-restricted-modules-4.4.0-36-generic N/A
 linux-backports-modules-4.4.0-36-generic N/A
 linux-firmware 1.157.3
RfKill:

SourcePackage: linux
UpgradeStatus: Upgraded to xenial on 2015-10-23 (300 days ago)
dmi.bios.date: 01/01/2011
dmi.bios.vendor: Bochs
dmi.bios.version: Bochs
dmi.chassis.type: 1
dmi.chassis.vendor: Bochs
dmi.modalias: dmi:bvnBochs:bvrBochs:bd01/01/2011:svnQEMU:pnStandardPC(i440FX+PIIX,1996):pvrpc-i440fx-utopic:cvnBochs:ct1:cvr:
dmi.product.name: Standard PC (i440FX + PIIX, 1996)
dmi.product.version: pc-i440fx-utopic
dmi.sys.vendor: QEMU

S. W. (cebit2006) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
S. W. (cebit2006) wrote :

i also confirmed this bug with the latest v4.7.1 mainline build from the ubuntu ppa

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.8 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.8-rc3

tags: added: kernel-da-key needs-bisect
Joseph Salisbury (jsalisbury) wrote :

Also, does the bug go away if you boot back into prior kernel versions?

Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
S. W. (cebit2006) wrote :
Download full text (15.5 KiB)

still not fixed

INFO: task smbd:7543 blocked for more than 120 seconds.
[39600.198893] Not tainted 4.4.0-46-generic #67-Ubuntu
[39600.198894] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[39600.198896] smbd D ffff88000970be18 0 7543 1346 0x00000000
[39600.198902] ffff88000970be18 0000000200000010 ffffffff81e11500 ffff8801539c5780
[39600.198904] ffff88000970c000 ffff8800ba7eb524 ffff8801539c5780 00000000ffffffff
[39600.198906] ffff8800ba7eb528 ffff88000970be30 ffffffff81830795 ffff8800ba7eb520
[39600.198908] Call Trace:
[39600.198942] [<ffffffff81830795>] schedule+0x35/0x80
[39600.198944] [<ffffffff81830a3e>] schedule_preempt_disabled+0xe/0x10
[39600.198946] [<ffffffff81832679>] __mutex_lock_slowpath+0xb9/0x130
[39600.198948] [<ffffffff8183270f>] mutex_lock+0x1f/0x30
[39600.198967] [<ffffffff8121df4b>] do_unlinkat+0x12b/0x2d0
[39600.198969] [<ffffffff8121eb56>] SyS_unlink+0x16/0x20
[39600.198974] [<ffffffff81834872>] entry_SYSCALL_64_fastpath+0x16/0x71
[39720.198606] INFO: task btrfs-cleaner:212 blocked for more than 120 seconds.
[39720.198614] Not tainted 4.4.0-46-generic #67-Ubuntu
[39720.198616] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[39720.198619] btrfs-cleaner D ffff8801539bfce8 0 212 2 0x00000000
[39720.198625] ffff8801539bfce8 ffff8801bfd16d00 ffff8801b8228000 ffff8801539c0000
[39720.198629] ffff8801539c0000 ffff8800a7ed11f0 ffff8800a7ed1000 ffff8800a7ed11f0
[39720.198632] 0000000000000001 ffff8801539bfd00 ffffffff81830795 ffff8801b797ef30
[39720.198636] Call Trace:
[39720.198647] [<ffffffff81830795>] schedule+0x35/0x80
[39720.198783] [<ffffffffc017dfd3>] wait_current_trans.isra.21+0xd3/0x120 [btrfs]
[39720.198802] [<ffffffff810c3ed0>] ? wake_atomic_t_function+0x60/0x60
[39720.198815] [<ffffffffc017f8f5>] start_transaction+0x2c5/0x4b0 [btrfs]
[39720.198828] [<ffffffffc017faf8>] btrfs_start_transaction+0x18/0x20 [btrfs]
[39720.198839] [<ffffffffc0167dcf>] btrfs_drop_snapshot+0x7f/0x830 [btrfs]
[39720.198841] [<ffffffff818300e6>] ? __schedule+0x3b6/0xa30
[39720.198854] [<ffffffffc017eb02>] btrfs_clean_one_deleted_snapshot+0xb2/0x100 [btrfs]
[39720.198866] [<ffffffffc01773cf>] cleaner_kthread+0xcf/0x220 [btrfs]
[39720.198878] [<ffffffffc0177300>] ? check_leaf+0x360/0x360 [btrfs]
[39720.198914] [<ffffffff810a09e8>] kthread+0xd8/0xf0
[39720.198917] [<ffffffff810a0910>] ? kthread_create_on_node+0x1e0/0x1e0
[39720.198919] [<ffffffff81834c0f>] ret_from_fork+0x3f/0x70
[39720.198921] [<ffffffff810a0910>] ? kthread_create_on_node+0x1e0/0x1e0
[39720.198938] INFO: task nmbd:1308 blocked for more than 120 seconds.
[39720.198940] Not tainted 4.4.0-46-generic #67-Ubuntu
[39720.198941] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[39720.198942] nmbd D ffff8801b6277ac8 0 1308 1 0x00000000
[39720.198945] ffff8801b6277ac8 0000000000000286 ffff8801539c0c80 ffff8801b4a52580
[39720.198947] ffff8801b6278000 ffff8801bfd16d00 7fffffffffffffff ffffffff81830f90
[39720.198949] ffff8801b6277c20 ffff8801b6277ae0 ffffffff81830795 0000000000000000
[39720.198951] Call Trace:
[39...

S. W. (cebit2006) wrote :

this bug exsits since ubuntu moved to Samba 4.3. with 4.2 everything worked gerat

currently used: Version 4.3.11-Ubuntu

Changed in linux (Ubuntu):
status: Expired → New
Brad Figg (brad-figg) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
S. W. (cebit2006) wrote :

still valid in yakkety and 4.8.0-27

[ 726.382817] INFO: task kworker/u4:7:1659 blocked for more than 120 seconds.
[ 726.382819] Not tainted 4.8.0-27-generic #29-Ubuntu
[ 726.382820] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[ 726.382820] kworker/u4:7 D ffff98c792b57c48 0 1659 2 0x00000000
[ 726.382836] Workqueue: btrfs-endio-write btrfs_endio_write_helper [btrfs]
[ 726.382838] ffff98c792b57c48 0000000000000000 ffff98c7b8231a00 ffff98c7b3cf5b00
[ 726.382839] 0000100800000008 ffff98c792b58000 ffff98c7ae1649f0 ffff98c7ae164800
[ 726.382841] ffff98c7ae1649f0 0000000000000001 ffff98c792b57c60 ffffffff8b89a855
[ 726.382843] Call Trace:
[ 726.382845] [<ffffffff8b89a855>] schedule+0x35/0x80
[ 726.382858] [<ffffffffc057fb23>] wait_current_trans.isra.21+0xd3/0x120 [btrfs]
[ 726.382859] [<ffffffff8b0c73a0>] ? wake_atomic_t_function+0x60/0x60
[ 726.382872] [<ffffffffc0582282>] start_transaction+0x272/0x4a0 [btrfs]
[ 726.382885] [<ffffffffc0582507>] btrfs_join_transaction+0x17/0x20 [btrfs]
[ 726.382899] [<ffffffffc058bd79>] btrfs_finish_ordered_io+0x499/0x6c0 [btrfs]
[ 726.382912] [<ffffffffc058c2a5>] finish_ordered_fn+0x15/0x20 [btrfs]
[ 726.382926] [<ffffffffc05b6858>] btrfs_scrubparity_helper+0xc8/0x2d0 [btrfs]
[ 726.382941] [<ffffffffc05b6aee>] btrfs_endio_write_helper+0xe/0x10 [btrfs]
[ 726.382942] [<ffffffff8b09d61c>] process_one_work+0x1fc/0x4b0
[ 726.382944] [<ffffffff8b09d91b>] worker_thread+0x4b/0x500
[ 726.382945] [<ffffffff8b09d8d0>] ? process_one_work+0x4b0/0x4b0
[ 726.382946] [<ffffffff8b09d8d0>] ? process_one_work+0x4b0/0x4b0
[ 726.382948] [<ffffffff8b0a3c18>] kthread+0xd8/0xf0
[ 726.382949] [<ffffffff8b89f29f>] ret_from_fork+0x1f/0x40
[ 726.382951] [<ffffffff8b0a3b40>] ? kthread_create_on_node+0x1e0/0x1e0

S. W. (cebit2006) wrote :
Download full text (14.3 KiB)

[43142.047947] INFO: task btrfs-cleaner:238 blocked for more than 120 seconds.
[43142.047962] Not tainted 4.8.0-28-generic #30-Ubuntu
[43142.047963] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[43142.047965] btrfs-cleaner D ffff945e6e52bd00 0 238 2 0x00000000
[43142.047989] ffff945e6e52bd00 00ff945e6e52bcd8 ffffffffad80d540 ffff945e6fc70000
[43142.047991] 0000000000000046 ffff945e6e52c000 ffff945e6ff7b9f0 ffff945e6ff7b800
[43142.047993] ffff945e6ff7b9f0 0000000000000001 ffff945e6e52bd18 ffffffffad295845
[43142.047995] Call Trace:
[43142.048026] [<ffffffffad295845>] schedule+0x35/0x80
[43142.048157] [<ffffffffc0431b63>] wait_current_trans.isra.21+0xd3/0x120 [btrfs]
[43142.048174] [<ffffffffacac7150>] ? wake_atomic_t_function+0x60/0x60
[43142.048187] [<ffffffffc0434311>] start_transaction+0x2c1/0x4a0 [btrfs]
[43142.048200] [<ffffffffc0434508>] btrfs_start_transaction+0x18/0x20 [btrfs]
[43142.048211] [<ffffffffc041ad4f>] btrfs_drop_snapshot+0x7f/0x850 [btrfs]
[43142.048213] [<ffffffffad2953a8>] ? __schedule+0x308/0x770
[43142.048226] [<ffffffffc0433534>] btrfs_clean_one_deleted_snapshot+0xb4/0x100 [btrfs]
[43142.048240] [<ffffffffc0429fbd>] cleaner_kthread+0x15d/0x1c0 [btrfs]
[43142.048259] [<ffffffffc0429e60>] ? btrfs_destroy_pinned_extent+0x130/0x130 [btrfs]
[43142.048262] [<ffffffffacaa3e58>] kthread+0xd8/0xf0
[43142.048268] [<ffffffffad29a25f>] ret_from_fork+0x1f/0x40
[43142.048270] [<ffffffffacaa3d80>] ? kthread_create_on_node+0x1e0/0x1e0
[43142.048295] INFO: task smbd:9182 blocked for more than 120 seconds.
[43142.048297] Not tainted 4.8.0-28-generic #30-Ubuntu
[43142.048298] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[43142.048299] smbd D ffff945e06f4fd18 0 9182 1302 0x00000000
[43142.048301] ffff945e06f4fd18 00ff945e77494000 ffff945deac0a700 ffff945e72400d00
[43142.048303] ffff945e6e534f88 ffff945e06f50000 ffff945e777bb1f0 ffff945e777bb000
[43142.048305] ffff945e777bb1f0 0000000000000001 ffff945e06f4fd30 ffffffffad295845
[43142.048307] Call Trace:
[43142.048308] [<ffffffffad295845>] schedule+0x35/0x80
[43142.048322] [<ffffffffc0431b63>] wait_current_trans.isra.21+0xd3/0x120 [btrfs]
[43142.048323] [<ffffffffacac7150>] ? wake_atomic_t_function+0x60/0x60
[43142.048336] [<ffffffffc0434311>] start_transaction+0x2c1/0x4a0 [btrfs]
[43142.048349] [<ffffffffc0434508>] btrfs_start_transaction+0x18/0x20 [btrfs]
[43142.048362] [<ffffffffc04406b7>] btrfs_setattr+0x1e7/0x360 [btrfs]
[43142.048371] [<ffffffffacc5204c>] notify_change+0x30c/0x480
[43142.048377] [<ffffffffacc2f433>] do_truncate+0x73/0xc0
[43142.048379] [<ffffffffacc302b9>] do_sys_ftruncate.constprop.13+0x119/0x180
[43142.048380] [<ffffffffacc304be>] SyS_ftruncate+0xe/0x10
[43142.048382] [<ffffffffad29a036>] entry_SYSCALL_64_fastpath+0x1e/0xa8
[43142.048386] INFO: task smbd:9795 blocked for more than 120 seconds.
[43142.048388] Not tainted 4.8.0-28-generic #30-Ubuntu
[43142.048389] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[43142.048390] smbd D ffff945d630dbc78 0 9795 1302 0x00000000
[43142.048392] fff...

S. W. (cebit2006) wrote :

[ 3988.561634] INFO: task pool:2945 blocked for more than 120 seconds.
[ 3988.561642] Not tainted 4.9.0-040900rc7-generic #201611271731
[ 3988.561643] "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
[ 3988.561646] pool D 0 2945 2409 0x00000000
[ 3988.561651] ffffa05cf068a000 ffffa05cb4ac4800 ffffa05ca6851a80 ffffa05cffc19340
[ 3988.561654] ffffa05ca6856a00 ffffc14cc3843ad8 ffffffffb4488453 0000000000000286
[ 3988.561657] 0000000000000038 ffffa05cffc19340 ffffa05cd7db6140 ffffa05ca6851a80
[ 3988.561660] Call Trace:
[ 3988.561670] [<ffffffffb4488453>] ? __schedule+0x233/0x6e0
[ 3988.561673] [<ffffffffb4489130>] ? bit_wait+0x60/0x60
[ 3988.561675] [<ffffffffb4488936>] schedule+0x36/0x80
[ 3988.561677] [<ffffffffb448c02a>] schedule_timeout+0x22a/0x3f0
[ 3988.561781] [<ffffffffc040d933>] ? ulist_add+0x13/0x20 [btrfs]
[ 3988.561785] [<ffffffffb3c63f1e>] ? kvm_clock_get_cycles+0x1e/0x20
[ 3988.561788] [<ffffffffb3cff0a1>] ? ktime_get+0x41/0xb0
[ 3988.561789] [<ffffffffb4489130>] ? bit_wait+0x60/0x60
[ 3988.561790] [<ffffffffb44881b4>] io_schedule_timeout+0xa4/0x110
[ 3988.561791] [<ffffffffb448914b>] bit_wait_io+0x1b/0x60
[ 3988.561793] [<ffffffffb4488cc8>] __wait_on_bit+0x58/0x90
[ 3988.561796] [<ffffffffb3da4cd2>] wait_on_page_bit+0x82/0xa0
[ 3988.561798] [<ffffffffb3cc8eb0>] ? autoremove_wake_function+0x40/0x40
[ 3988.561812] [<ffffffffc03b55af>] prepare_pages+0x19f/0x240 [btrfs]
[ 3988.561826] [<ffffffffc03b5dd9>] __btrfs_buffered_write+0x1f9/0x710 [btrfs]
[ 3988.561840] [<ffffffffc03b9bb0>] btrfs_file_write_iter+0x170/0x4d0 [btrfs]
[ 3988.561843] [<ffffffffb3e369e5>] __vfs_write+0xe5/0x160
[ 3988.561844] [<ffffffffb3e37065>] vfs_write+0xb5/0x1a0
[ 3988.561845] [<ffffffffb3e384c5>] SyS_write+0x55/0xc0
[ 3988.561847] [<ffffffffb448d67b>] entry_SYSCALL_64_fastpath+0x1e/0xad

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers